
namespace FccLite.Web.Services.FccProjectInfo
{
    public class FccProjectInfoServices : IFccProjectInfoServices
    {
        private readonly IConfiguration _configuration;
        public FccProjectInfoServices(IConfiguration configuration) 
        {
            _configuration = configuration;
        }

        /// <summary>
        /// 返回FCC版本号
        /// </summary>
        /// <returns></returns>
        public Task<string> GetVersion()
        {
            string version = _configuration.GetSection("Version").Get<string>() ?? "null";
            return Task.FromResult(version);
        }
    }
}
